<h1>Produkty <?= $this->viewlocale ?></h1>
<div class="search-holder">
    <div class="search-holder-text bg-lightgreen noborder-style" style='height: 51px'>
        <div class="padding15">
            <form method='post' action='/admin/products/' style='float: left'>
                <label></label>
                <select name="category_id">
                    <option VALUE='all' <?= ($this->category_id == 'all') ? "SELECTED" : "" ?>>Vše</option>
                    <?php
                    foreach ($this->categories as $rowArray) {
                        $selected = ($this->category_id == $rowArray['category_id']) ? "SELECTED" : "";
                        echo "<option value='" . $rowArray['category_id'] . "' $selected>" . $rowArray['title_cz'] . "</option>";
                    }
                    ?>
                    <option VALUE='unsorted' <?= ($this->category_id == 'unsorted') ? "SELECTED" : "" ?>>Nezařazené předměty</option>
                </select>
                <input type='submit' value='Vybrat produkty této kategorie'>
            </form>
            <form method='post' action='/admin/products/' style='float: left; margin-left: 10px;'>
                <input type="text" name="search" value=""/>
                <input type='submit' value='Hledat'>
            </form>
        </div>
    </div>
    <a href='/admin/products/edit/?category_id=<?= $this->category_id ?>'>
        <div class="floatright button active border-style" style="width: 100px">Vložit produkt</div>
    </a>
</div>
<?php include 'page.phtml'; ?>
<div class="search-holder">
    <div class='legend-holder'>
        <div class='legend-color-holder light'>&nbsp;</div>prodáván na eshopu&nbsp;
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder blue'>&nbsp;</div>vystaven na eshopu (nelze dát do košíku)&nbsp;
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder red'>&nbsp;</div>nekativní&nbsp;
    </div>    
    <div class='legend-holder'>
        <div class='legend-color-holder yellow'>&nbsp;</div>pouze na obchodě&nbsp;
    </div>
</div>
<table class="admintable">
    <thead>
    <td style="width: 24px;">
        <a href='<?= $this->url() . "?order=product_id" ?>'>
            <div class="full active"><?= ($this->order == 'product_id') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>id</div>
        </a>
    </td>
    <td style="width: 24px;">
        <a href='<?= $this->url() . "?order=code" ?>'>
            <div class="full active"><?= ($this->order == 'code') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>kód</div>
        </a>
    </td>
    <td style="">
        shop
    </td>
    <td style="width: 130px">
        kategorie
    </td>
    <td style="width: 180px;">
        <a href='<?= $this->url() . "?order=title" ?>'>
            <div class="full active"><?= ($this->order == 'title') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>název zboží</div>
        </a>
    </td>
    <td>
        odkaz - alias
    </td>
    <td style="width: 70px;">
        <a href='<?= $this->url() . "?order=price_cz" ?>'>
            <div class="full active"><?= ($this->order == 'price_cz') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>kč</div>
        </a>
    </td>
    <td style="width: 70px;">
        <a href='<?= $this->url() . "?order=price_de" ?>'>
            <div class="full active"><?= ($this->order == 'price_de') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>eur</div>
        </a>
    </td>
    <td></td>
    <td></td>
</thead>
<tbody>
    <?php
    if (!empty($this->products)) {
        $color = 'dark';
        //pokud se listuje výsledek vyhledávání, tak je třeba dát index na 0
        if ($this->search) {
            $index = 0;
        } else {
            $index = $this->page - 1;
        }
        foreach ($this->products[$index] as $value) {
            if ($value['status'] == '2') {
                $color = 'blue';
            } else if ($value['status'] == '0') {
                $color = 'red';
            } else if ($value['status'] == '3') {
                $color = 'yellow';
            } else if (($value['status'] == '1') and ( $color == 'dark')) {
                $color = 'light';
            } else if (($value['status'] == '1') and ( $color == 'light')) {
                $color = 'dark';
            } else {
                $color = 'light';
            }
            echo "<tr>";
            echo "<td class='$color'>";
            echo $value['product_id'];
            echo "</td>";            
            echo "<td class='$color'>";
            echo $value['code'];
            echo "</td>";
            //ikonky obchodů, kde je produkt vystaven
            echo "<td class='$color'>";
            $eshops = explode(';', $value['eshop_id']);
                foreach ($eshops as $v) {
                    echo "<img src='/images/eshop_shops/$v.png' class='smallicon'/>";
                }
            echo "</td>";
            echo "<td class='$color' smalltext'>";
            if (empty($value['subcat_title'])) {
                echo "nezařazeno";
            } else {
                $subcats = explode(';', $value['subcat_title']);
                foreach ($subcats as $v) {
                    echo $v . "<br/>";
                }
            }
            echo "</td>";
            echo "<td class='$color' style='width: 100px'>";
            echo "<a href='/admin/products/view/?product_id=" . $value['product_id'] . "' style='text-decoration: underline;'>" . $value['title'] . "</a>";
            echo "</td>";
            echo "<td class='$color' smalltext'>";
            //echo mb_substr(strip_tags($value['text']),0,50,'utf-8');
            //echo "<a href='/".$value['subcat_alias']."/".$value['alias']."'>" . $value['alias'] . "</a>";
            echo $value['alias'];
            echo "</td>";
            echo "<td class='$color right'>";
            echo $value['price_cz'];
            echo "&nbsp;kč </td>";
            echo "<td class='$color right'>";
            echo $value['price_de'];
            echo "&nbsp;€ </td>";
            echo "<td class='$color'><a href='/admin/products/edit/?product_id=" . $value['product_id'] . "'>[upravit]</a></td>";
            echo "<td class='$color'><a href='/admin/products/delete/?product_id=" . $value['product_id'] . "' onclick=\"return confirm('Chcete skutečně smazat tento produkt?')\">[smazat]</a></td>";
            echo "</tr>";
        }
    }
    ?>
</tbody>
</table>
<a href='/admin/products/edit/'>
    <div class="floatright button active border-style">Vložit produkt</div>
</a>
<?php
include 'page.phtml';
?>